function r = rand2(N,range,nu)
%r = rand2(N,[low high])
%r = rand2(N,[low high],'y') where 'y' specifies that the values do not have to be unique
%
%If N is greater than the range and nargin < 3, rand2 returns all 
%values in the range.

rand('state',sum(100*clock));
R = diff(range);
if(2*N > R & nargin < 3)
    r = rand2(max([R-N 0]),range);
    r = setdiff(range(1):range(2),r);
    return;
end

if(N > range(2)-range(1)+1 & nargin < 3)
    r = range(1):range(2);
else
    rand('state',sum(100*clock));
    done = 0; n = N; r = []; counter = 0;
    while(~done)
        temp = ((rand(n,1)*(range(2)-range(1)+1))+range(1))';
        if(nargin == 3) r = floor([temp r]);
        else r = unique(floor([temp r]));
        end
        len = length(r);
        n = N-len;
        if(len == N)
            done = 1;
        end
        if(counter == 100)
            error('Non-terminating loop');
        end
        counter = counter + 1;
    end
    r = r';
    r(find(r > range(2))) = range(2);
end