function x = smooth2(x,N)
%y = smooth2(x,N)
%
%smooth2 uses an averageing filter to smooth.

mi = gmin(x);
x = logscale(x);
N = round(N);
if(N > 1)
    B = gauss(linspace(-2.5,2.5,N),0,1);
    B = B'*B;
    B = B./gsum(B);
    x = filter2(B,x);
end
x = exp(x)+(mi-1);
    