function y = transform(x,xrng,yrng)
%y = transform(x,[x1 x2],[y1 y2]);
%
%Transform performs a linear transformation using two equivalent distances
%[x1 x2] is projected to [y1 y2].

y = ((x-xrng(1)) .* ((yrng(2)-yrng(1))/(xrng(2)-xrng(1))))  +  yrng(1);
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%