function cblabel(h,str,str2)
%cblabel(h,str)
%cblabel(h,str,'latex')
%
%cblabel is a shorthand for setting the colorbar YLabel.
%default: ' '

pvpairs = cell(1,0);
h2 = get(h,'YLabel');
set(h2, 'FontAngle',  get(gca, 'FontAngle'));
set(h2, 'FontName',  get(gca, 'FontName'));
set(h2, 'FontSize',  get(gca, 'FontSize'));
set(h2, 'string', ' ', pvpairs{:});

if(nargin == 2)
    set(h2,'string',str,pvpairs{:});
elseif(nargin == 3)
    set(h2,'string',str,pvpairs{:},'Interpreter','latex');
end
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%